Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class StringToStringTableVector

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.StringToStringTableVector

public class StringToStringTableVector
extends java.lang.Object

A very simple table that stores a list of StringToStringTables, optimized for small lists.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`StringToStringTableVector()` Default constructor.
`StringToStringTableVector(int blocksize)` Construct a StringToStringTableVector, using the given block size.

Method Summary
`void` | `addElement(StringToStringTable value)` Append a StringToStringTable object onto the vector.
`boolean` | `contains(StringToStringTable s)` Tell if the table contains the given StringToStringTable.
`boolean` | `containsKey(java.lang.String key)` Given a string, find out if there is a value in this table that matches the key.
`StringToStringTable` | `elementAt(int i)` Get the nth element.
`java.lang.String` | `get(java.lang.String key)` Given a string, find the last added occurance value that matches the key.
`int` | `getLength()` Get the length of the list.
`void` | `removeLastElem()` Remove the last element.
`int` | `size()` Get the length of the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringToStringTableVector

    public StringToStringTableVector()

  Default constructor. Note that the default block size is very small, for small lists.

### StringToStringTableVector

    public StringToStringTableVector(int blocksize)

  Construct a StringToStringTableVector, using the given block size.

  Parameters:
    `blocksize` - Size of blocks to allocate

Method Detail

### getLength

    public final int getLength()

  Get the length of the list.

  Returns:
    Number of StringToStringTable objects in the list

### size

    public final int size()

  Get the length of the list.

  Returns:
    Number of StringToStringTable objects in the list

### addElement

    public final void addElement(StringToStringTable value)

  Append a StringToStringTable object onto the vector.

  Parameters:
    `value` - StringToStringTable object to add

### get

    public final java.lang.String get(java.lang.String key)

  Given a string, find the last added occurance value that matches the key.

  Parameters:
    `key` - String to look up
  Returns:
    the last added occurance value that matches the key or null if not found.

### containsKey

    public final boolean containsKey(java.lang.String key)

  Given a string, find out if there is a value in this table that matches the key.

  Parameters:
    `key` - String to look for
  Returns:
    True if the string was found in table, null if not

### removeLastElem

    public final void removeLastElem()

  Remove the last element.

### elementAt

    public final StringToStringTable elementAt(int i)

  Get the nth element.

  Parameters:
    `i` - Index of element to find
  Returns:
    The StringToStringTable object at the given index

### contains

    public final boolean contains(StringToStringTable s)

  Tell if the table contains the given StringToStringTable.

  Parameters:
    `s` - The StringToStringTable to find
  Returns:
    True if the StringToStringTable is found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference